.transfer-container {
  position: relative;
  width: 90%;
  max-width: 600px;
  height: 150px;
  margin: 80px auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-family: Arial, sans-serif;
}

.device {
  width: 100px;
  height: 100px;
  background: #1f1f2e;
  border: 2px solid #2563eb;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 12px;
  box-shadow: 0 0 10px rgba(37, 99, 235, 0.4);
  z-index: 1;
}

.file {
  position: absolute;
  top: 50%;
  left: 100px;
  width: 25px;
  height: 25px;
  background: radial-gradient(#eb8825, #920806);
  border-radius: 50%;
  transform: translateY(-50%);
  animation: transfer 2s infinite ease-in-out;
  z-index: 2;
  box-shadow: 0 0 8px #2c2c2c;
}

@keyframes transfer {
  0% {
    left: 100px;
    opacity: 0;
    transform: translateY(-50%) scale(0.5);
  }
  25% {
    opacity: 1;
    transform: translateY(-50%) scale(1);
  }
  50% {
    left: calc(50% - 12.5px);
    opacity: 1;
  }
  75% {
    opacity: 1;
    transform: translateY(-50%) scale(1.1);
  }
  100% {
    left: calc(100% - 100px);
    opacity: 0;
    transform: translateY(-50%) scale(0.5);
  }
}

/* ================================================================================= */

@keyframes clockwise {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes counter-clockwise {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(-360deg);
  }
}


.gear-container{
    margin: 50px 10px 0px 0px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.gearbox {
  background: #11111100;
  height: 150px;
  width: 200px;
  position: relative;
  border: none;
  overflow: hidden;
  border-radius: 6px;
  box-shadow: 0px 0px 0px 1px rgba(0, 0, 0, 0.1);
}

.gearbox .overlay {
  border-radius: 6px;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 10;
  box-shadow: inset 0px 0px 20px black;
  transition: background 0.2s;
  
  background: transparent;
}

.gear {
  position: absolute;
  height: 60px;
  width: 60px;
  box-shadow: 0px -1px 0px 0px #888888, 0px 1px 0px 0px black;
  border-radius: 30px;
}

.gear.large {
  height: 120px;
  width: 120px;
  border-radius: 60px;
}

.gear.large:after {
  height: 96px;
  width: 96px;
  border-radius: 48px;
  margin-left: -48px;
  margin-top: -48px;
}

.gear.one {
  top: 12px;
  left: 10px;
}

.gear.two {
  top: 61px;
  left: 60px;
}

.gear.three {
  top: 110px;
  left: 10px;
}

.gear.four {
  top: 13px;
  left: 128px;
}

.gear:after {
  content: "";
  position: absolute;
  height: 36px;
  width: 36px;
  border-radius: 36px;
  background: #04001b;
  top: 50%;
  left: 50%;
  margin-left: -18px;
  margin-top: -18px;
  z-index: 3;
  box-shadow: 0px 0px 10px rgba(255, 255, 255, 0.1), inset 0px 0px 10px rgba(0, 0, 0, 0.1), inset 0px 2px 0px 0px #090909, inset 0px -1px 0px 0px #888888;
}

.gear-inner {
  position: relative;
  height: 100%;
  width: 100%;
  background: radial-gradient(circle at 50% 50%, #003d88 0%, #344474 100%);
  border-radius: 30px;
  border: 1px solid rgba(255, 255, 255, 0.1);
}

.large .gear-inner {
  border-radius: 60px;
}

.gear.one .gear-inner {
  animation: counter-clockwise 3s infinite linear;
}

.gear.two .gear-inner {
  animation: clockwise 4s infinite linear;
}

.gear.three .gear-inner {
  animation: counter-clockwise 3s infinite linear;
}

.gear.four .gear-inner {
  animation: counter-clockwise 6s infinite linear;
}


.gear-container:hover .gear-inner {
  animation: counter-clockwise .1s infinite linear;
}



.gear-inner .bar {
  background: #00a2ff88;
  height: 16px;
  width: 76px;
  position: absolute;
  left: 50%;
  margin-left: -38px;
  top: 50%;
  margin-top: -8px;
  border-radius: 2px;
  border-left: 1px solid rgba(255, 255, 255, 0.1);
  border-right: 1px solid rgba(255, 255, 255, 0.1);
}

.large .gear-inner .bar {
  margin-left: -68px;
  width: 136px;
}

.gear-inner .bar:nth-child(2) {
  transform: rotate(60deg);
}

.gear-inner .bar:nth-child(3) {
  transform: rotate(120deg);
}

.gear-inner .bar:nth-child(4) {
  transform: rotate(90deg);
}

.gear-inner .bar:nth-child(5) {
  transform: rotate(30deg);
}

.gear-inner .bar:nth-child(6) {
  transform: rotate(150deg);
}


/* ======================================================================================== */


.particle {
  position: absolute;
  width: 4px;
  height: 4px;
  background: cyan;
  border-radius: 50%;
  box-shadow: 0 0 10px cyan, 0 0 20px cyan;
  animation: floatUp 8s linear infinite;
  z-index: 3;
}



@keyframes floatUp {
    0% {
    transform: translateY(1750px) scale(1);
    opacity: 1;
    }
    100% {
    transform: translateY(-300px) scale(0.5);
    opacity: 0.2;
    }
}

@keyframes floatUp2 {
  0% {
  transform: translateY(2900px) scale(1);
  opacity: 1;
  }
  100% {
  transform: translateY(-300px) scale(0.5);
  opacity: 0.2;
  }
}

@keyframes floatUp3 {
  0% {
  transform: translateY(2300px) scale(1);
  opacity: 1;
  }
  100% {
  transform: translateY(-300px) scale(0.5);
  opacity: 0.2;
  }
}

@media screen and (max-width: 1300px) {

  .particle {
    position: absolute;
    width: 4px;
    height: 4px;
    background: cyan;
    border-radius: 50%;
    box-shadow: 0 0 10px cyan, 0 0 20px cyan;
    animation: floatUp2 8s linear infinite;
    z-index: 3;
  }

}

@media screen and (max-width: 1000px) {

  .particle {
    position: absolute;
    width: 4px;
    height: 4px;
    background: cyan;
    border-radius: 50%;
    box-shadow: 0 0 10px cyan, 0 0 20px cyan;
    animation: floatUp3 8s linear infinite;
    z-index: 3;
  }

}

@media screen and (max-width: 800px) {

  .particle {
    position: absolute;
    width: 4px;
    height: 4px;
    background: cyan;
    border-radius: 50%;
    box-shadow: 0 0 10px cyan, 0 0 20px cyan;
    animation: floatUp2 8s linear infinite;
    z-index: 3;
  }

}


/* =========================================== */


/* --------------------------------------------TRUSTPILOT -------------------------- */


.trustpilot-section{
  margin: 100px 0px;
  padding: 100px 20px 60px 20px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

.container-tp{
  background: linear-gradient(to bottom, #00172582, rgb(0, 0, 0, 0.2),  rgb(0, 0, 0, 0.2),#00172582);
  max-width: 1100px;
  display: grid;  
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  align-items: center;
  padding: 30px 20px;
  border-radius: 10px;
  box-shadow: 1px 1px 12px #000000;
}


.content-tp{
  text-align: left;
}

.content-tp h1{
  font-family: "Michroma", sans-serif;
  font-size: 2rem;
  font-weight: 700;
  margin-bottom: 30px;
  color: #00ffae;
}

.content-tp p{
  font-size: 1rem;
  font-weight: 400;
  margin-bottom: 30px;
  color: #ffffff;
}

@media screen and (max-width: 900px) {
  .container-tp{
    grid-template-columns: 1fr;
    max-width: 400px;
  }
}


.book {
  position: relative;
  border-radius: 10px;
  width: 400px;
  height: 270px;
  background-color: #121212;
  -webkit-box-shadow: 1px 1px 12px #000;
  box-shadow: 1px 1px 12px #00ad8d; /*#000000*/
  -webkit-transform: preserve-3d;
  -ms-transform: preserve-3d;
  transform: preserve-3d;
  -webkit-perspective: 2000px;
  perspective: 2000px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  color: #000;
  padding: 10px;
  margin-left: 100px;
}

@media screen and (max-width: 1100px) {
  .book {
      width: 350px;
      height: 240px;
      margin-left: 50px;
  }
}

@media screen and (max-width: 900px) {
  .book {
      margin-left: 0px;
  }
}

@media screen and (max-width: 600px) {
  .book {
      width: 350px;
      height: 250px;
      margin-left: 0px;
  }
}

.cover {
  top: 0;
  border: 1px solid #00ffae;
  position: absolute;
  background: linear-gradient(45deg, #121212, #0d1814be);
  width: 100%;
  height: 100%;
  border-radius: 10px;
  cursor: pointer;
  -webkit-transition: all 0.5s;
  transition: all 0.5s;
  -webkit-transform-origin: 0;
  -ms-transform-origin: 0;
  transform-origin: 0;
  -webkit-box-shadow: 1px 1px 12px #000;
  box-shadow: 1px 1px 12px #000000;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  overflow: hidden;
}

.book:hover .cover {
  -webkit-transition: all 0.5s;
  transition: all 0.5s;
  -webkit-transform: rotatey(-90deg);
  -ms-transform: rotatey(-90deg);
  transform: rotatey(-90deg);
}

img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.half-bg {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.half-bg::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 50%;
  height: 100%;
  background-color: #00b67a;
  z-index: 0;
}





/* ======================================================================================== */


.button {
  --primary: #55cfff;
  --neutral-1: #3ca1ff94;
  --neutral-2: #002870;
  --radius: 14px;

  cursor: pointer;
  border-radius: var(--radius);
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.3);
  border: none;
    background: linear-gradient(to bottom, var(--neutral-1), var(--neutral-2));
  box-shadow: 0 0.5px 0.5px 1px rgba(255, 255, 255, 0.2),
    0 10px 20px rgba(0, 0, 0, 0.2), 0 4px 5px 0px rgba(0, 0, 0, 0.05);
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  transition: all 0.3s ease;
  width: 10rem;
  padding: 20px;
  height: 5vh;
  font-family: "Galano Grotesque", Poppins, Montserrat, sans-serif;
  font-style: normal;
  font-size: 18px;
  font-weight: 600;
}
.button:hover {
  transform: scale(1.02);
  box-shadow: 0 0 1px 2px rgba(255, 255, 255, 0.3),
    0 15px 30px rgba(0, 0, 0, 0.3), 0 10px 3px -3px rgba(0, 0, 0, 0.04);
}
.button:active {
  transform: scale(1);
  box-shadow: 0 0 1px 2px rgba(255, 255, 255, 0.3),
    0 10px 3px -3px rgba(0, 0, 0, 0.2);
}
.button:after {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: var(--radius);
  border: 2.5px solid transparent;
  background: linear-gradient(var(--neutral-1), var(--neutral-2)) padding-box,
    linear-gradient(to bottom, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.45))
      border-box;
  z-index: 0;
  transition: all 0.4s ease;
}
.button:hover::after {
  transform: scale(1.05, 1.1);
  box-shadow: inset 0 -1px 3px 0 rgba(255, 255, 255, 1);
}
.button::before {
  content: "";
  inset: 7px 6px 6px 6px;
  position: absolute;
  background: linear-gradient(to top, var(--neutral-1), var(--neutral-2));
  border-radius: 30px;
  filter: blur(0.5px);
  z-index: 2;
}
.state p {
  display: flex;
  align-items: center;
  justify-content: center;
}
.state .icon {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  transform: scale(1.25);
  transition: all 0.3s ease;
  display: flex;
  align-items: center;
  justify-content: center;
}
.state .icon svg {
  overflow: visible;
}

/* Outline */
.outline {
  position: absolute;
  border-radius: inherit;
  overflow: hidden;
  z-index: 1;
  opacity: 0;
  transition: opacity 0.4s ease;
  inset: -2px -3.5px;
}
.outline::before {
  content: "";
  position: absolute;
  inset: -100%;
  background: conic-gradient(
    from 180deg,
    transparent 60%,
    white 80%,
    transparent 100%
  );
  animation: spin 2s linear infinite;
  animation-play-state: paused;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.button:hover .outline {
  opacity: 1;
}
.button:hover .outline::before {
  animation-play-state: running;
}

/* Letters */
.state p span {
  display: block;
  opacity: 0;
  animation: slideDown 0.8s ease forwards calc(var(--i) * 0.03s);
}
.button:hover p span {
  opacity: 1;
  animation: wave 0.5s ease forwards calc(var(--i) * 0.02s);
}
.button:focus p span {
  opacity: 1;
  animation: disapear 0.6s ease forwards calc(var(--i) * 0.03s);
}
@keyframes wave {
  30% {
    opacity: 1;
    transform: translateY(4px) translateX(0) rotate(0);
  }
  50% {
    opacity: 1;
    transform: translateY(-3px) translateX(0) rotate(0);
    color: var(--primary);
  }
  100% {
    opacity: 1;
    transform: translateY(0) translateX(0) rotate(0);
  }
}
@keyframes slideDown {
  0% {
    opacity: 0;
    transform: translateY(-20px) translateX(5px) rotate(-90deg);
    color: var(--primary);
    filter: blur(5px);
  }
  30% {
    opacity: 1;
    transform: translateY(4px) translateX(0) rotate(0);
    filter: blur(0);
  }
  50% {
    opacity: 1;
    transform: translateY(-3px) translateX(0) rotate(0);
  }
  100% {
    opacity: 1;
    transform: translateY(0) translateX(0) rotate(0);
  }
}
@keyframes disapear {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    transform: translateX(5px) translateY(20px);
    color: var(--primary);
    filter: blur(5px);
  }
}

/* Plane */
.state--default .icon svg {
  animation: land 0.6s ease forwards;
}
.button:hover .state--default .icon {
  transform: rotate(45deg) scale(1.25);
}
.button:focus .state--default svg {
  animation: takeOff 0.8s linear forwards;
}
.button:focus .state--default .icon {
  transform: rotate(0) scale(1.25);
}
@keyframes takeOff {
  0% {
    opacity: 1;
  }
  60% {
    opacity: 1;
    transform: translateX(70px) rotate(45deg) scale(2);
  }
  100% {
    opacity: 0;
    transform: translateX(160px) rotate(45deg) scale(0);
  }
}
@keyframes land {
  0% {
    transform: translateX(-60px) translateY(30px) rotate(-50deg) scale(2);
    opacity: 0;
    filter: blur(3px);
  }
  100% {
    transform: translateX(0) translateY(0) rotate(0);
    opacity: 1;
    filter: blur(0);
  }
}

/* Contrail */
.state--default .icon:before {
  content: "";
  position: absolute;
  top: 50%;
  height: 2px;
  width: 0;
  left: -5px;
  background: linear-gradient(to right, transparent, rgba(0, 0, 0, 0.5));
}
.button:focus .state--default .icon:before {
  animation: contrail 0.8s linear forwards;
}
@keyframes contrail {
  0% {
    width: 0;
    opacity: 1;
  }
  8% {
    width: 15px;
  }
  60% {
    opacity: 0.7;
    width: 80px;
  }
  100% {
    opacity: 0;
    width: 160px;
  }
}

/* States */
.state {
  padding-left: 29px;
  z-index: 2;
  display: flex;
  position: relative;
}
.state--default span:nth-child(4) {
  margin-right: 5px;
}
.state--sent {
  display: none;
}
.state--sent svg {
  transform: scale(1.25);
  margin-right: 8px;
}
.button:focus .state--default {
  position: absolute;
}
.button:focus .state--sent {
  display: flex;
}
.button:focus .state--sent span {
  opacity: 0;
  animation: slideDown 0.8s ease forwards calc(var(--i) * 0.2s);
}
.button:focus .state--sent .icon svg {
  opacity: 0;
  animation: appear 1.2s ease forwards 0.8s;
}
@keyframes appear {
  0% {
    opacity: 0;
    transform: scale(4) rotate(-40deg);
    color: var(--primary);
    filter: blur(4px);
  }
  30% {
    opacity: 1;
    transform: scale(0.6);
    filter: blur(1px);
  }
  50% {
    opacity: 1;
    transform: scale(1.2);
    filter: blur(0);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}


/* ========================== */


.card_box .prm {
  position: absolute;
  overflow: hidden;
  width: 150px;
  height: 150px;
  top: -10px;
  left: -10px;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
}

.card_box .prm::before {
  content: 'Premium';
  position: absolute;
  width: 150%;
  height: 40px;
  background-image: linear-gradient(45deg, #ff6547 0%, #ffb144  51%, #ff7053  100%);
  transform: rotate(-45deg) translateY(-20px);
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  font-weight: 600;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  box-shadow: 0 5px 10px rgba(0,0,0,0.23);
}

.card_box .prm::after {
  content: '';
  position: absolute;
  width: 10px;
  bottom: 0;
  left: 0;
  height: 10px;
  z-index: -1;
  box-shadow: 140px -140px #cc3f47;
  background-image: linear-gradient(45deg, #FF512F 0%, #F09819  51%, #FF512F  100%);
}